<?php 
class WCEV_TextCustomizerPage
{
	public function __construct()
	{
		$this->init_options_menu();
	}
	function init_options_menu()
	{
		global $wcev_wpml_helper;
		if( function_exists('acf_add_options_page') ) 
		{
			/*acf_add_options_page(array(
				'page_title' 	=> 'Menu name',
				'menu_title'	=> 'Menu name',
				'menu_slug' 	=> 'wcuf-option-menu',
				'capability'	=> 'edit_posts',
				'icon_url'      => 'dashicons-upload',
				'redirect'		=> false
			));*/
			$additional_text = isset($wcev_wpml_helper) && $wcev_wpml_helper->wpml_is_active() ? __('(To localize text: just switch language using the WPML language selector in the upper admin bar)', 'woocommerce-eu-vat-field') : "";
			 acf_add_options_sub_page(array(
				'page_title' 	=> sprintf(__('EU Vat field - Texts <small>%s</small>', 'woocommerce-eu-vat-field'),$additional_text),
				'menu_title'	=> __('EU Vat field - Texts', 'woocommerce-eu-vat-field'),
				'parent_slug'	=> 'woocommerce',
				'capability' => 'manage_woocommerce'
			));
			add_action( 'current_screen', array(&$this, 'cl_set_global_options_pages') );
		}
	}
	/**
	 * Force ACF to use only the default language on some options pages
	 */
	function cl_set_global_options_pages($current_screen) 
	{
	  if(!is_admin())
		  return;
	  
	 // wcev_var_dump($current_screen->id);
	  $page_ids = array(
		"woocommerce_page_acf-options-eu-vat-field-texts"
	  );
	 
	  if (in_array($current_screen->id, $page_ids)) 
	  {
		global $wcev_wpml_helper;
		//$wcev_wpml_helper->switch_to_default_language();
		//add_filter('acf/settings/current_language', array(&$this, 'cl_acf_set_language'), 100);
	  }
	}
	

	function cl_acf_set_language() 
	{
	  return acf_get_setting('default_language');
	}
}
?>