<?php 
class WCEV_Order
{
	public function __construct()
	{
	}
	public function get_order_meta($order_id, $key)
	{
		if(!isset($order_id) || !isset($key))
			return false;
		
		$order = wc_get_order($order_id);
		if($order == null || $order == false)
			return false;
		
		//return get_post_meta($order_id, $key, true);
		return $order->get_meta($key, true);
	}
	public function get_codice_fiscale($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_it_codice_fiscale');
	}
	public function get_it_sid_pec($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_it_sid_pec');
	}
	public function get_billing_es_nif_nie($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_es_nif_nie');
	}
	public function get_billing_gr_tax_office($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_gr_tax_office');
	}
	public function get_billing_gr_business_activity($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_gr_business_activity');
	}
	public function get_billing_cz_company_id($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_cz_company_id');
	}
	public function get_billing_sk_company_id($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_sk_company_id');
	}
	public function get_billing_sk_company_dic($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_sk_company_dic');
	}
	public function get_vat_number($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_eu_vat');
	}
	public function get_field($order_id, $field_name)
	{
		return $this->get_order_meta($order_id, $field_name);
	}
	public function was_invoice_requested($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_request_eu_vat');
	}
	public function get_client_type($order_id)
	{
		return $this->get_order_meta($order_id, '_billing_business_consumer_selector');
	}
	public static function get_id($order)
	{
		if(version_compare( WC_VERSION, '2.7', '<' ))
			return $order->id;
		
		return $order->get_id();
	}
}
?>