<?php 
class WCEV_AllPages
{
	public function __construct()
	{
		//add_action('init', array(&$this, 'vat_exemption_managment'));
		//add_filter('wc_tax_enabled', array(&$this, 'vat_exemption_managment'));
		add_filter('option_woocommerce_tax_display_shop', array(&$this, 'vat_exemption_managment_on_option_loading'));
		add_filter('option_woocommerce_tax_display_cart', array(&$this, 'vat_exemption_managment_on_option_loading'));
		
		//add_filter('woocommerce_adjust_non_base_location_prices', array(&$this, 'vat_exemption_managment_variable_product'), 10 ,3);
		
		add_filter('woocommerce_get_price_html', array(&$this, 'modify_html_price'), 10, 2 );
		add_filter('woocommerce_cart_item_price', array(&$this, 'modify_cart_html_row_price'), 10, 3 ); 
	}
	public function vat_exemption_managment($woocommerce_calc_taxes)
	{
		//wcev_var_dump(is_checkout());
		if(@is_checkout() || is_admin())
			return $woocommerce_calc_taxes; 
		global $wcev_customer_model;
		
		//wcev_var_dump($wcev_customer_model->is_elegible_for_vat_exemption());
	
		if($wcev_customer_model->is_elegible_for_vat_exemption() && $wcev_customer_model->get_vat_number() != "")
		{
			//wcev_var_dump("here");
			$wcev_customer_model->set_vat_exemption(true);
			$woocommerce_calc_taxes =  false;
		}
		else
		{
			$woocommerce_calc_taxes = true;
			$wcev_customer_model->set_vat_exemption(false);
		}
		
		return $woocommerce_calc_taxes;
	}
	public function vat_exemption_managment_on_option_loading($value)
	{
		if(@is_checkout() || is_admin())
			return $value; 
		
		global $wcev_customer_model;
		if($wcev_customer_model->is_elegible_for_vat_exemption() && $wcev_customer_model->get_vat_number() != "")
			return 'excl';//'incl';
		
		return $value;
	}
	
	function modify_cart_html_row_price($price, $cart_item = null, $cart_item_key = null)
	{
		/* if($cart_item == null || $cart_item_key == null)
		    return $price; */
		
		return $this->modify_html_price($price);
	}
	function modify_html_price($price, $product = null) 
	{
		global $wcev_vat_field_model, $wcev_text_helper;
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		$texts = $wcev_text_helper->get_texts();
		
		if($hide_prices_to_guests && !is_user_logged_in())
			return ""; 
		
		return $price;
	}
}
?>