<?php 
class WCEV_OrdersListPage
{
	public function __construct()
	{
		add_action( 'manage_shop_order_posts_custom_column', array($this, 'add_request_invoice_column_content'), 10, 2 );
		add_filter( 'manage_edit-shop_order_columns', array($this, 'add_request_invoice_column'),15 ); 
	}
	public function add_request_invoice_column($columns)
	{
		global  $wcev_vat_field_model, $wcev_text_helper;
		$field_options = $wcev_vat_field_model->get_all_options();
		//if($field_options['show_require_invoice_option']);
		 $columns['wcev-invoice-requested'] =__('Invoice requested', 'woocommerce-eu-vat-field'); 

	   return $columns;
	}
	public function add_request_invoice_column_content( $column, $order_id ) 
	{
		global $wcev_order_model;
		if ( $column == 'wcev-invoice-requested' ) 
		{
			echo $wcev_order_model->was_invoice_requested($order_id) ? __('Yes', 'woocommerce-eu-vat-field') :  __('No', 'woocommerce-eu-vat-field');
		}
		
		
	}
}
?>