<?php 
class WCEV_UserProfilePage
{
	public function __construct()
	{
		add_filter('woocommerce_customer_meta_fields', array(&$this, 'add_custom_field'));
	}
	public function add_custom_field($fields)
	{
		global  $wcev_vat_field_model,$wcev_text_helper;
		$field_options = $wcev_vat_field_model->get_all_options();
		$texts = $wcev_text_helper->get_texts();
		//wcev_var_dump($fields);
		/* if($field_options['disable_eu_vat_field'])
			return $fields; */
		
		
						
		$fields['billing']['fields']['billing_eu_vat'] = array(
						'label'       => __( 'Vat Number', 'woocommerce-eu-vat-field' ),
						'description' => ''
					);
					
		//if($field_options['show_business_consumer_selector'])
			$fields['billing']['fields']['billing_business_consumer_selector'] = array(
						'type' 		=> 'select',
						'label'     => $texts['consumer_business_selector_label'],
						'options'  => array('consumer' => $texts['consumer_option_label'], 'business'=>$texts['business_option_label'])
						);
						
		//if($field_options['show_require_invoice_option'])
			$fields['billing']['fields']['billing_request_eu_vat'] = array(
						'type' 		=> 'select', //checkbox doens't work
						'options' 	=> array(
											0 => __( 'No', 'woocommerce-eu-vat-field' ),
											1 => __( 'Yes', 'woocommerce-eu-vat-field' )
										),
						'label'     => $texts['require_invoice_label'],
						'description' => ''
						);
						
		$fields['billing']['fields']['billing_it_sid_pec'] = array(
						'label'       => __( 'SDI / Pec', 'woocommerce-eu-vat-field' ),
						'description' => ''
					);
					
		$fields['billing']['fields']['billing_it_codice_fiscale'] = array(
						'label'       => __( 'Codice Fiscale', 'woocommerce-eu-vat-field' ),
						'description' => ''
					);
					
		$fields['billing']['fields']['billing_es_nif_nie'] = array(
						'label'       => __( 'NIF / NIE', 'woocommerce-eu-vat-field' ),
						'description' => ''
					);
		$fields['billing']['fields']['billing_gr_tax_office'] = array(
						'label'       => __( 'Tax office', 'woocommerce-eu-vat-field' ),
						'description' => ''
					);
		$fields['billing']['fields']['billing_gr_business_activity'] = array(
						'label'       => __( 'Business activity', 'woocommerce-eu-vat-field' ),
						'description' => ''
					);
					 
		return $fields;
	}
}
?>