jQuery(document).ready(function()
{
	wcev_init_select_fields();
	jQuery(document).on('change','.wcev_country_selector' , wcev_load_state);
	jQuery('.wcev_country_selector').trigger('change');
});
function wcev_init_select_fields()
{
	 jQuery('#billing_country').selectWoo();
}
function wcev_load_state(event)
{
	var country_id = event.target.value;
	var random = Math.floor((Math.random() * 1000000) + 999);
	var formData = new FormData();
	formData.append('action', 'wcev_load_state_by_country_id');
	formData.append('country_id', country_id);
	
	//UI 
	jQuery('#wcev_state_selector').empty();
	if(event.target.value == 0)
		return;
	
	jQuery('#wcev_preloader_image').show();
	
	wcuf_ajax_loader = jQuery.ajax({
		url: wcev.ajax_url+"?nocache="+random,
		type: 'POST',
		data: formData,
		async: true,
		success: function (data) 
		{
			//UI	
			//var result = jQuery.parseJSON(data);
			jQuery('#wcev_preloader_image').hide();
			jQuery('#wcev_state_selector').html(data);
						
		},
		error: function (data) 
		{
			//console.log(data);
			//alert("Error: "+data);
		},
		cache: false,
		contentType: false,
		processData: false
	});
}